<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddPresenceRedundancyGroupReq StructType
 * @subpackage Structs
 */
class AddPresenceRedundancyGroupReq extends APIRequest
{
    /**
     * The presenceRedundancyGroup
     * @var XPresenceRedundancyGroup
     */
    public $presenceRedundancyGroup;
    /**
     * Constructor method for AddPresenceRedundancyGroupReq
     * @uses AddPresenceRedundancyGroupReq::setPresenceRedundancyGroup()
     * @param XPresenceRedundancyGroup $presenceRedundancyGroup
     */
    public function __construct(XPresenceRedundancyGroup $presenceRedundancyGroup = null)
    {
        $this
            ->setPresenceRedundancyGroup($presenceRedundancyGroup);
    }
    /**
     * Get presenceRedundancyGroup value
     * @return XPresenceRedundancyGroup|null
     */
    public function getPresenceRedundancyGroup()
    {
        return $this->presenceRedundancyGroup;
    }
    /**
     * Set presenceRedundancyGroup value
     * @param XPresenceRedundancyGroup $presenceRedundancyGroup
     * @return AddPresenceRedundancyGroupReq
     */
    public function setPresenceRedundancyGroup(XPresenceRedundancyGroup $presenceRedundancyGroup = null)
    {
        $this->presenceRedundancyGroup = $presenceRedundancyGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddPresenceRedundancyGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
